import { __assign, __extends } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import Icon from '../../../icon';
import AbstractTrigger from '../AbstractTrigger';
var ImageUploadTrigger = (function (_super) {
    __extends(ImageUploadTrigger, _super);
    function ImageUploadTrigger() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ImageUploadTrigger.prototype.render = function () {
        var _a;
        var disabled = this.props.disabled;
        return (_jsxs("div", __assign({ className: cn('zent-image-upload-trigger', (_a = {},
                _a['zent-image-upload-trigger__disabled'] = disabled,
                _a)), onClick: this.onClickTrigger, onDragOver: this.onTriggerDragOver, onDrop: this.onTriggerDrop, "data-zv": 'v10.0.11' }, { children: [_jsx(Icon, { type: "plus", className: "zent-image-upload-trigger-add-icon" }, void 0), this.renderFileInput()] }), void 0));
    };
    return ImageUploadTrigger;
}(AbstractTrigger));
export default ImageUploadTrigger;
